#!/bin/bash

PK_KEY_PATH="/home/binary196/proyectos/firma_electronica/jong-cert.p12"
PEM_KEY_PATH="/home/binary196/proyectos/firma_electronica/jong-cert-pub.pem"

echo "Identificacion de peligro"
rm firmados/evast_51_identificacion_de_peligro.xml
xmlsec1 sign --id-attr EVAST_IDENTIFICACION_DE_PELIGRO --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_51_identificacion_de_peligro.xml plantillas/evast_51_identificacion_de_peligro.xml
xmlsec1 verify --id-attr EVAST_IDENTIFICACION_DE_PELIGRO --trusted-pem "${PEM_KEY_PATH}" firmados/evast_51_identificacion_de_peligro.xml
echo ""
echo "Encuesta agente de riesgo silice"
rm firmados/evast_52_encuesta_agente_de_riesgo_silice.xml
xmlsec1 sign --id-attr EVAST_ENCUESTA_AGENTE_DE_RIESGO_SILICE --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_52_encuesta_agente_de_riesgo_silice.xml plantillas/evast_52_encuesta_agente_de_riesgo_silice.xml
xmlsec1 verify --id-attr EVAST_ENCUESTA_AGENTE_DE_RIESGO_SILICE --trusted-pem "${PEM_KEY_PATH}" firmados/evast_52_encuesta_agente_de_riesgo_silice.xml
echo ""
echo "Eliminacion del peligro"
rm firmados/evast_56_eliminacion_peligro.xml
xmlsec1 sign --id-attr EVAST_ELIMINACION_PELIGRO --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_56_eliminacion_peligro.xml plantillas/evast_56_eliminacion_peligro.xml
xmlsec1 verify --id-attr EVAST_ELIMINACION_PELIGRO --trusted-pem "${PEM_KEY_PATH}" firmados/evast_56_eliminacion_peligro.xml
echo ""
echo "Egreso de organismo administrador"
rm firmados/evast_57_egreso_de_organismo_administrador.xml
xmlsec1 sign --id-attr EVAST_EGRESO_DE_ORGANISMO_ADMINISTRADOR --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_57_egreso_de_organismo_administrador.xml plantillas/evast_57_egreso_de_organismo_administrador.xml
xmlsec1 verify --id-attr EVAST_EGRESO_DE_ORGANISMO_ADMINISTRADOR --trusted-pem "${PEM_KEY_PATH}" firmados/evast_57_egreso_de_organismo_administrador.xml
echo ""
echo "ingreso a organismo administrador"
rm firmados/evast_58_ingreso_a_organismo_administrador.xml
xmlsec1 sign --id-attr EVAST_INGRESO_A_ORGANISMO_ADMINISTRADOR --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_58_ingreso_a_organismo_administrador.xml plantillas/evast_58_ingreso_a_organismo_administrador.xml
xmlsec1 verify --id-attr EVAST_INGRESO_A_ORGANISMO_ADMINISTRADOR --trusted-pem "${PEM_KEY_PATH}" firmados/evast_58_ingreso_a_organismo_administrador.xml
echo ""
echo "Cierre centro de trabajo"
rm firmados/evast_59_cierre_centro_de_trabajo.xml
xmlsec1 sign --id-attr EVAST_CIERRE_CENTRO_DE_TRABAJO --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_59_cierre_centro_de_trabajo.xml plantillas/evast_59_cierre_centro_de_trabajo.xml
xmlsec1 verify --id-attr EVAST_CIERRE_CENTRO_DE_TRABAJO --trusted-pem "${PEM_KEY_PATH}" firmados/evast_59_cierre_centro_de_trabajo.xml
echo ""
echo "Evaluacion cualitativa"
rm firmados/evast_61_evaluacion_cualitativa.xml
xmlsec1 sign --id-attr EVAST_EVALUACION_CUALITATIVA --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_61_evaluacion_cualitativa.xml plantillas/evast_61_evaluacion_cualitativa.xml
xmlsec1 verify --id-attr EVAST_EVALUACION_CUALITATIVA --trusted-pem "${PEM_KEY_PATH}" firmados/evast_61_evaluacion_cualitativa.xml
echo ""
echo "Evaluacion cuantitativa"
rm firmados/evast_62_evaluacion_cuantitativa.xml
xmlsec1 sign --id-attr EVAST_EVALUACION_CUANTITATIVA --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_62_evaluacion_cuantitativa.xml plantillas/evast_62_evaluacion_cuantitativa.xml
xmlsec1 verify --id-attr EVAST_EVALUACION_CUANTITATIVA --trusted-pem "${PEM_KEY_PATH}" firmados/evast_62_evaluacion_cuantitativa.xml
echo ""
echo "Listado de trabajadores ges activos"
rm firmados/evast_64_listado_trabajadores_ges_activos.xml
xmlsec1 sign --id-attr EVAST_LISTADO_TRABAJADORES_GES_ACTIVOS --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_64_listado_trabajadores_ges_activos.xml plantillas/evast_64_listado_trabajadores_ges_activos.xml
xmlsec1 verify --id-attr EVAST_LISTADO_TRABAJADORES_GES_ACTIVOS --trusted-pem "${PEM_KEY_PATH}" firmados/evast_64_listado_trabajadores_ges_activos.xml
echo "Recomendacion de medidas"
rm firmados/evast_65_recomendacion_de_medidas.xml
xmlsec1 sign --id-attr EVAST_RECOMENDACION_DE_MEDIDAS --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_65_recomendacion_de_medidas.xml plantillas/evast_65_recomendacion_de_medidas.xml
xmlsec1 verify --id-attr EVAST_RECOMENDACION_DE_MEDIDAS --trusted-pem "${PEM_KEY_PATH}" firmados/evast_65_recomendacion_de_medidas.xml
echo ""
echo "Prescripcion de medidas"
rm firmados/evast_66_prescripcion_de_medidas.xml
xmlsec1 sign --id-attr EVAST_PRESCRIPCION_DE_MEDIDAS --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_66_prescripcion_de_medidas.xml plantillas/evast_66_prescripcion_de_medidas.xml
xmlsec1 verify --id-attr EVAST_PRESCRIPCION_DE_MEDIDAS --trusted-pem "${PEM_KEY_PATH}" firmados/evast_66_prescripcion_de_medidas.xml
echo ""
echo "Verificacion de medidas"
rm firmados/evast_67_verificacion_de_medidas.xml
xmlsec1 sign --id-attr EVAST_VERIFICACION_DE_MEDIDAS --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_67_verificacion_de_medidas.xml plantillas/evast_67_verificacion_de_medidas.xml
xmlsec1 verify --id-attr EVAST_VERIFICACION_DE_MEDIDAS --trusted-pem "${PEM_KEY_PATH}" firmados/evast_67_verificacion_de_medidas.xml
echo ""
echo "Notificacion autoridad"
rm firmados/evast_68_notificacion_autoridad.xml
xmlsec1 sign --id-attr EVAST_NOTIFICACION_AUTORIDAD --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_68_notificacion_autoridad.xml plantillas/evast_68_notificacion_autoridad.xml
xmlsec1 verify --id-attr EVAST_NOTIFICACION_AUTORIDAD --trusted-pem "${PEM_KEY_PATH}" firmados/evast_68_notificacion_autoridad.xml
echo ""
echo "Eliminacion ges"
rm firmados/evast_69_eliminacion_ges.xml
xmlsec1 sign --id-attr EVAST_ELIMINACION_GES --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_69_eliminacion_ges.xml plantillas/evast_69_eliminacion_ges.xml
xmlsec1 verify --id-attr EVAST_ELIMINACION_GES --trusted-pem "${PEM_KEY_PATH}" firmados/evast_69_eliminacion_ges.xml
echo ""
echo "Reapertura ges"
rm firmados/evast_70_reapertura_ges.xml
xmlsec1 sign --id-attr EVAST_REAPERTURA_GES --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_70_reapertura_ges.xml plantillas/evast_70_reapertura_ges.xml
xmlsec1 verify --id-attr EVAST_REAPERTURA_GES --trusted-pem "${PEM_KEY_PATH}" firmados/evast_70_reapertura_ges.xml
echo ""
echo "Vigilancia de efecto"
rm firmados/evast_71_vigilancia_de_efecto.xml
xmlsec1 sign --id-attr EVAST_VIGILANCIA_DE_EFECTO --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_71_vigilancia_de_efecto.xml plantillas/evast_71_vigilancia_de_efecto.xml
xmlsec1 verify --id-attr EVAST_VIGILANCIA_DE_EFECTO --trusted-pem "${PEM_KEY_PATH}" firmados/evast_71_vigilancia_de_efecto.xml
echo ""
echo "Vigilancia de exposicion"
rm firmados/evast_72_vigilancia_de_exposicion.xml
xmlsec1 sign --id-attr EVAST_VIGILANCIA_DE_EXPOSICION --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_72_vigilancia_de_exposicion.xml plantillas/evast_72_vigilancia_de_exposicion.xml
xmlsec1 verify --id-attr EVAST_VIGILANCIA_DE_EXPOSICION --trusted-pem "${PEM_KEY_PATH}" firmados/evast_72_vigilancia_de_exposicion.xml
echo ""
echo "Trabajador no evaluado"
rm firmados/evast_79_trabajador_no_evaluado.xml
xmlsec1 sign --id-attr EVAST_TRABAJADOR_NO_EVALUADO --pkcs12  "${PK_KEY_PATH}" --pwd 1234 --output firmados/evast_79_trabajador_no_evaluado.xml plantillas/evast_79_trabajador_no_evaluado.xml
xmlsec1 verify --id-attr EVAST_TRABAJADOR_NO_EVALUADO --trusted-pem "${PEM_KEY_PATH}" firmados/evast_79_trabajador_no_evaluado.xml
echo ""
